<?php
//IE FIDEL DE MONTCLAR
$dtsFecha=fechaTexto(date("Y-m-d"),true);

$tmplEncabezado = '<table align="center" class="print-encabezado" cellspacing="0" cellpadding="0"  style="font-size:10pt; font-family:arial,tahoma,verdana" width="100%">'
        . '<tr>
            <td align="center" rowspan="6" width="15%"><img src="../images/logo_colegio.png" width="{ancho}" height="{alto}" ></td>
            <td align="center">República de Colombia</td><td align="center" rowspan="6" width="15%"></td>
           </tr>'
        . '<tr>
            <td align="center">Departamento del Putumayo</td>
           </tr>'
        . '<tr>
            <td align="center" style="font-weight:bold">{nom_colegio}</td>
           </tr>'
        . '<tr>
            <td align="center" >Reconocimiento Oficial SED</td>
           </tr>'
        . '<tr>
            <td align="center" >Resolución {resolucion} Decreto {decreto}</td>
           </tr>'
        . '<tr>
            <td align="center" >NIT {nit} - DANE {dane} - ICFES {icfes}</td>
           </tr>'
        . '</table>'; 



$cabestudiante = '<div  style="font-size:12pt; font-family:arial,tahoma,verdana"><p align="center" style="font-weight:bold">EL RECTOR DE LA {nom_colegio}</p>'
        . '<p align="center" style="font-size:14pt; font-weight:bold">CERTIFICA</p>'
        . '<p align="justify">Que, <b>{estudiante}</b> identificad{genero} con {tipo_documento} número {numero_documento} expedido en {lug_expedicion}, cursó en este establecimiento educativo el grado <b>{grado}</b> de {educacion}, de acuerdo a la ley general de educación y el Decreto 1290 del 2009, obteniendo los siguientes desempeños y con la intensidad horaria que se detallan a continuación: </p>';

$sql = "CALL SP_CERTIFICADOS_NOTAS('$codigosest',$grupo,'" . uniqid() . "')";
if ($sesion->get('ac_usuario') == 'prointel') {
    echo $sql;
}
$academia->instruccion($sql);
$i = 1;

$parse = new CI_Parser();
$nomColegio = mb_strtoupper($sesion->getVar('info_colegio.nombre'));
$educacol = mb_strtoupper($sesion->getVar('info_colegio.educacion'));
$decreto = $sesion->getVar('info_colegio.decreto');
$nit = $sesion->getVar('info_colegio.nit');
$resolucion = $sesion->getVar('info_colegio.resolucion');
$rector = mb_strtoupper(($sesion->getVar('info_colegio.rector')));
$trato= ucwords(mb_strtolower($sesion->getVar('info_colegio.trato')));
$dane = mb_strtoupper($sesion->getVar('info_colegio.dane'));
$icfes = $sesion->getVar('info_colegio.icfes');
//$pie=$sesion->getVar('info_colegio.pie');

$fotter = $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'];
$pie_pagina = getFotter('&nbsp;',$pie , $fotter);

$codMateria = -1;
$dtsEncabezado = array(
    'nom_colegio' => $nomColegio, 
    'educacol' => $educacol,
    'nit' => $nit,
    'dane' => $dane,
    'alto' => $alto,
    'ancho' => $ancho,
    'resolucion' => $resolucion,
    'decreto' => $decreto, 
    'icfes' => $icfes,
);
$encabezadoOficio = $parse->parse($tmplEncabezado, $dtsEncabezado, true);

while ($reg = $academia->extraer_registro()) {
    $estudiante = json_decode($reg['estudiante'], true);
    $notas = json_decode($reg['notas'], true);
    $disciplina = json_decode($reg['disciplina'], true);
    $observa = json_decode($reg['observa'], true);
    $faltas = json_decode($reg['faltas'], true);

    $nomgrado=trim($nomgrado);    
    $nomgrado=  substr($nomgrado,0,  strlen($nomgrado)-1);
    $dtsEsquema = array(
        'estudiante' => formatoPalabras($estudiante['no_est'], $formato_nombres) ,
        'genero' => $estudiante['genero'],
        'tipo_documento' => $estudiante['tipo_iden'],
        'numero_documento' => $estudiante['numdoc'],
        'lug_expedicion' => $estudiante['expedida'],
        
    
        'grado' => mb_strtoupper($nomgrado, "utf-8"),
        'educacion' => ucwords($educacion),
        'decreto' => mb_strtolower($decreto),
        'nom_colegio' => $nomColegio,
    );
    echo $encabezadoOficio;
    echo $parse->parse($cabestudiante, $dtsEsquema, true);
    #echo json_encode($notas,true);
    echo '<table class="table-print font-size-12">';
    echo '<tr class="alto-30">'
    . '<th class="font-size-10">Asignatura</th>'
    . '<th class="font-size-10">I.H.S</th>'
    . '<th class="font-size-10">Valoración Base 10</th>'
    . '<th class="font-size-10">Escala Nacional</th>'
    . '</tr>';
    $recupera="";
    $perdidas=0;
    foreach ($notas as $info) {
        
        foreach ($info['materias'] as $materia) {
            $defi = numberFormat($materia['definitiva']);
            $pier = numberFormat($materia['pierde']);
            $nomasi = formatoPalabras($materia['no_asi'], $formato_materias);
            $defilet =  $materia['definitivalet'];
            echo '<tr>'
            . '<td class="alto-20">' . $nomasi  . '</td>'
            . '<td align="center">' . $materia['ihs'] . '</td>'
            . '<td align="center">' . $defi . '</td>'
            . '<td align="left"> ' . $defilet . '</td>'
            . '</tr>';
            if ($defi < $pier){
                $recupera = $recupera . $nomasi . '; ';
                $perdidas=$perdidas + 1;
            };
        }
    }
    echo '<tr>'
            . '<td class="alto-20">Disciplina y Comportamiento</td>'
            . '<td align="center" ></td>'
            . '<td align="center" >' . $observa['notadisciplina'] . '</td>'
            . '<td align="left" >' . $observa['letdisciplina'] . '</td>'
            . '</tr>';
    echo '</table>'; 
    $jus= $faltas['justificadas']="" ? '0' : $faltas['justificadas'];  
    $injus= $faltas['injustificadas']="" ? '0' : $faltas['injustificadas'];

    echo '<br><b>INASISTENCIA</b>: Justificadas: <b>' . $jus . "</b>   -   Injustificadas: <b>" . $injus . "</b>" ;
    echo '<br><br>';
    $aprobo= "Se promueve al siguiente grado: SI___  NO___";
//    $aprobo= $perdidas>=3 ? "NO se promueve al siguiente grado" : "Se promueve al siguiente grado";          
    $cadena= $observa['aprobo']<>"" ? $observa['aprobo'] . " se promueve al siguiente grado.": $aprobo;  
//    $recupera = $perdidas>=3 ? "" : $recupera;
    $recupera = trim($recupera);
    $recupera = trim(substr($recupera, 0, strlen($recupera) - 1));
    if ($recupera==!""){
        $recupera = "Debe recuperar ". mb_strtoupper($recupera,"utf-8") . ".<br><br>";
    }
    $observacio = trim($observa['observaciones'])<>"" ? trim($observa['observaciones']) . "<br><br>" : "" ;    
    echo '<b>OBSERVACIONES</b>: ' . $cadena . "<br><br>". $recupera . $observacio ;
    echo 'Se expide a petición del interesado.';
    echo '<br>';
    echo 'Para constancia se firma el día ' . $dtsFecha["nomdia"] .", ".$dtsFecha["dia"]. " de ". $dtsFecha["nommes"]. " de ". $dtsFecha["anio"]."."; 
    echo '<br><br><br>'; 
    echo '<p align="center" class="font-size-12"><b>' . $rector . '</b><br>' . $trato . '</p>';
    
    
    echo '</div><br>';
    echo $pie_pagina
    . '<div id="salto" class="salto"></div>'; //hace que al imprimir salga en hojas apartes
}
$academia->liberar();
$academia->cerrar();


